Subject: bug#31079: Windows - Emacs-25.3.1 Can't find source.tex file

From: Liyu Gong <[email-masked]>
Date: Sat, 7 Apr 2018 12:58:13 -0400

Hi,

My value for system-configuration is: "x86_64-w64-mingw32"

I do have cygwin installed, so I tried add the following two lines in my init.el

(setenv "PATH" (concat "C:\\cygwin64\\bin;C:\\cygwin64\\lib;" (getenv "PATH")))
(setq exec-path (append '("C:/cygwin64/bin" "C:/cygwin64/lib") exec-path))

But the TEXINPUTS is the same.

Did you installed some Emacs package like cygwin-mount. I remember
there are such kind of packages which can let NTEmacs using cygwin
programs, but I didn't installed them.

Thanks,
Liyu

On Sat, Apr 7, 2018 at 12:48 PM,  <[email-masked]> wrote:
> Sorry for these multiple replies.
>
> Besides Emacs, I also have Cygwin and Msys32 installed in my Windows system. And at the beginning of my Emacs init file I have this:
>
> (setenv "PATH" (concat "C:\\msys32\\mingw32\\bin;C:\\cygwin\\bin;C:\\cygwin\\lib;" (getenv "PATH")))
> (setq exec-path (append '("C:/cygwin/bin" "C:/cygwin/lib" "C:/msys32/mingw32/bin") exec-path))
>
> I wonder whether AUCTeX in my case is using some command from cygwin to update TEXINPUTS, and that takes care of the ";".
>
> Do you also have cygwin on your system?
>
> But I think that by now David has already guessed where the problem is, so I'll see what he says.
>
> J